﻿@model eCommerce.Services.Model.Purchase
@using eCommerce.Services.Model

@{ 

    var stockDraftActive = TempData["StockDraft"] != null;
    var draftStock = (Dictionary<int, int>)(TempData["StockDraft"] ?? new Dictionary<int, int>());

}

<div class="panel-heading margin-top-20">
    <h3 class="panel-title">
        Recepción de stock
    </h3>
</div>
<div class="panel-body">
    <div class="page-invoice-table table-responsive">
        <table class="table table-hover text-right">
            <thead>
                <tr>
                    <th width="50%" class="text-left">Producto</th>
                    <th width="25%" class="text-center">Recepción</th>
                    <th width="25%" class="text-center">Cantidad</th>
                </tr>
            </thead>
            <tbody>

                @foreach (PurchaseDetail purchaseDetail in Model.PurchaseDetails.Where(x => x.HasPendingDeliveries))
                {

                    var checkBoxName = "chk_" + purchaseDetail.PurchaseDetailId;
                    var loadDraft = stockDraftActive && draftStock[@purchaseDetail.PurchaseDetailId] != 0;

                    <tr>
                        <td class="text-left">
                            @purchaseDetail.CompleteName
                            <input type="hidden" name="purchaseDetailIdHidden"
                                   value="@purchaseDetail.PurchaseDetailId" />
                        </td>
                        <td class="text-center">
                            <input type="checkbox" class="enabledCheck" id="@checkBoxName" 
                                   @(loadDraft ? "checked": "")/>
                            <input type="hidden" name="enabledStock" id="@("hidden_" + checkBoxName)"
                                   value="@(loadDraft ? "true" : "false")" />
                        </td>
                        <td>
                            <input type="number" class="form-control" name="stock" min="0"
                                   placeholder="@("Pendiente " + purchaseDetail.PendingDeliveries.ToString())"
                                   id="@("input_" + checkBoxName)" 
                                   value="@(loadDraft ? draftStock[@purchaseDetail.PurchaseDetailId].ToString() : "")" 
                                   @(loadDraft ? "" : "disabled") />
                        </td>
                    </tr>

                }

            </tbody>
        </table>
    </div>
</div>


